# $Revision: 1.44 $, $Date: 2006/02/17 18:34:38 $
Summary:	GNOME PDF Viewer
Summary(pl):	Przegldarka PDF-w dla GNOME
Name:		gpdf
Version:	2.10.0
Release:	4
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	http://ftp.gnome.org/pub/gnome/sources/gpdf/2.10/%{name}-%{version}.tar.bz2
# Source0-md5:	9278cd3b9d06e3b1d364452f0e512fa9
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-CAN-2005-2097.patch
Patch2:		%{name}-cve-2006-0301.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.10.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gnome-vfs2-devel >= 2.10.0
BuildRequires:	gtk+2-devel >= 2:2.6.4
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeprintui-devel >= 2.10.2
BuildRequires:	libgnomeui-devel >= 2.10.0-2
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post,preun):	GConf2
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GPDF is an open source viewer for Portable Document Format (PDF)
files.

%description -l pl
GPDF to wolnodostpna przegldarka do plikw PDF (Portable Document
Format).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install \
	--enable-a4-paper \
	--enable-multithreaded
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no
rm -rf $RPM_BUILD_ROOT%{_datadir}/{mime-info,application-registry}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%gconf_schema_install gpdf.schemas
%update_desktop_database_post

%preun
%gconf_schema_uninstall gpdf.schemas

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/gnome-pdf-viewer
%{_sysconfdir}/gconf/schemas/*.schemas
%{_desktopdir}/gpdf.desktop
%{_datadir}/gnome-2.0/ui/gpdf*
%{_datadir}/%{name}
%{_libdir}/bonobo/servers/*
%{_pixmapsdir}/*
%{_omf_dest_dir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gpdf.spec,v $
Revision 1.44  2006/02/17 18:34:38  psz
- security fix: CVE-2006-0301
- rel 4; STBR

Revision 1.43  2005/08/16 08:38:53  adamg
- fix for a DoS vulnerability (CAN-2005-2097)
- release 3

Revision 1.42  2005/06/02 23:02:31  zbyniu
- popt-devel is (indirect) required by libgnome-devel not here

Revision 1.41  2005/06/01 19:23:49  zbyniu
- BR: popt-devel

Revision 1.40  2005/04/13 22:59:45  paladine
- new style macros
- don't packaged gnome-mime-data stuff
- rel. 2

Revision 1.39  2005/03/20 13:12:26  paladine
- merged from DEVEL
- proper license

Revision 1.38.2.3  2005/03/13 01:21:27  aflinta
- up to version 2.10.0

Revision 1.38.2.2  2005/02/09 12:51:22  grzegol
- updated to 2.9.3

Revision 1.38.2.1  2005/02/08 22:07:13  grzegol
- updated to 2.9.1

Revision 1.38  2005/02/02 17:10:37  grzegol
- updated to 2.8.3

Revision 1.37  2005/01/09 13:29:44  paladine
- updated to 2.8.2, STBR

Revision 1.36  2004/12/07 12:33:27  zbyniu
- BR: libstdc++-devel

Revision 1.35  2004/12/06 23:32:50  grzegol
- updated to 2.8.1
- removed outdated gnomevfs-error-checking and xpdf_overflow patches

Revision 1.34  2004/11/25 20:37:03  freetz
- check for gnome vfs errors (patch)
- fix for xpdf code vunerability (patch)
- rel. 4, STBR

Revision 1.33  2004/11/23 11:41:49  paladine
- added desktop patch
- rel 3

Revision 1.32  2004/10/13 19:18:47  qboosh
- BR: pkgconfig

Revision 1.31  2004/09/21 22:09:55  grzegol
- R(post): GConf2 not GConf2-devel
- rel. 2

Revision 1.30  2004/09/15 18:24:37  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.29  2004/09/13 19:00:40  grzegol
- merged from DEVEL and updated to 2.8.0
- removed locale-names patch and remove no locale in %%install
- run /usr/bin/update-desktop-database in %%post and %%postun

Revision 1.28  2004/06/08 15:00:17  aflinta
- up to version 0.132

Revision 1.27.2.4  2004/08/30 15:42:08  grzegol
- updated to 2.7.91

Revision 1.27.2.3  2004/08/03 12:26:38  grzegol
- updated to 2.7.90

Revision 1.27.2.2  2004/06/07 22:15:17  freetz
- 2.7.2

Revision 1.27.2.1  2004/06/05 17:37:14  freetz
- 2.7.1 - gnome 2.8 developement series

Revision 1.27  2004/03/31 14:30:04  grzegol
- updated to 0.131

Revision 1.26  2004/03/22 09:50:14  aflinta
- merged from DEVEL, up to version 0.130

Revision 1.25  2004/03/08 15:57:28  wolf
- who cares how pdf's are called by somebody? (ja na nie 'pedeefy' mwi, te
  to mona dopisa)

Revision 1.24  2004/02/24 23:56:51  andree
- cp config.sub, rel++

Revision 1.23  2004/02/24 21:02:34  krzak
- BR: libstdc++-devel
- bonobo.patch - deactivate control frame before dispose
- rel 3  STBR

Revision 1.22  2004/02/07 14:39:44  grzegol
- rel. 2 for Ac

Revision 1.21.2.4  2004/03/15 22:58:11  grzegol
- updated to 0.125

Revision 1.21.2.3  2004/03/09 14:54:37  grzegol
- updated to 0.124
- added locale-names patch (changes locale no -> nb)
- regenerate lt/al/at/am

Revision 1.21.2.2  2004/02/17 11:14:23  aflinta
- up to version 0.123

Revision 1.21.2.1  2004/02/06 19:38:57  grzegol
- moved 0.122 to DEVEL
- added libgnomeprint patch (fixes building with recent libgnomeprint)

Revision 1.21  2004/02/06 19:23:21  grzegol
- back to 0.120 on HEAD (for Ac)

Revision 1.20  2004/01/14 10:24:21  wiget
- updated to 0.122
- enable a4 as default format
- enable multithreaded

Revision 1.19  2003/12/29 19:07:54  grzegol
- updated to 0.121

Revision 1.18  2003/12/09 10:24:02  trojan
- updated to 0.120

Revision 1.17  2003/10/14 11:57:52  freetz
- up to 0.111
- some BR clenups

Revision 1.16  2003/09/08 20:36:32  grzegol
- updated to 0.110

Revision 1.15  2003/08/26 10:26:44  wiget
- more specific BRs

Revision 1.14  2003/08/26 09:39:08  trojan
- updated to 0.106

Revision 1.13  2003/08/18 08:08:09  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/08/01 11:58:50  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.11  2003/07/29 19:33:54  grzegol
- updated to 0.105

Revision 1.10  2003/07/01 19:32:12  grzegol
- fixed changelog

Revision 1.9  2003/07/01 19:31:02  grzegol
- removed %%post and %%postun - not needed

Revision 1.8  2003/07/01 18:49:58  aflinta
- version 0.104

Revision 1.7  2003/06/06 20:57:46  aflinta
- version 0.103

Revision 1.6  2003/05/30 08:33:39  wrobell
- ver. 0.102 /sync with cvs.pld.org.pl/

Revision 1.5  2003/05/26 16:25:07  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:48:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/04 19:02:12  aflinta
- version 0.101

Revision 1.2  2003/04/13 22:08:07  qboosh
- pl description

Revision 1.1  2003/04/09 12:30:12  trojan
- initial
